<if @report_code_found_p@>

<div id=@diagram_id@></div>
<script type='text/javascript'>

Ext.require(['Ext.chart.*', 'Ext.Window', 'Ext.fx.target.Sprite', 'Ext.layout.container.Fit']);
Ext.onReady(function () {


// ////////////////////////////////////////////////
// STORES 
// 

    var translationProjectFeedbackNonConformityStore = Ext.create('Ext.data.Store', {
        fields: [
		{ name: 'first_day_period', type: 'string'},
		{ name: 'number_projects',  type: 'int'}, 
		{ name: 'number_projects_non_conform',  type: 'int'},
                { name: 'percentage_non_conform',  type: 'int'}
        ],
        autoLoad: true,
        proxy: {
            type: 'rest',
            url: '/intranet-reporting/view',                    // This is the generic ]po[ REST interface
            extraParams: {
                format: 'json',                                 // Ask for data in JSON format
                limit: @diagram_limit@,                         // Limit the number of returned rows
                report_code: '@diagram_report_code@',           // The code of the data-source to retreive
                start_date: '@start_date@',
                end_date: '@end_date@',
                period: '@period@'
            },
            reader: { type: 'json', root: 'data' }              // Standard reader: Data are prefixed by "data".
        }
    });

    var translationProjectFeedbackNonConformityProportionStore = Ext.create('Ext.data.Store', {
        fields: [
		{ name: 'category', type: 'string' },
		{ name: 'count', type: 'int'}
	],
        autoLoad: true,
        proxy: {
            type: 'rest',
            url: '/intranet-reporting/view',                    // This is the generic ]po[ REST interface
            extraParams: {
                format: 'json',                                 // Ask for data in JSON format
                limit: @diagram_limit@,                         // Limit the number of returned rows
                report_code: '@diagram_report_code@',           // The code of the data-source to retreive
                start_date: '@start_date@',
                end_date: '@end_date@',
                period: '@period@'
            },
            reader: { type: 'json', root: 'data' }              // Standard reader: Data are prefixed by "data".
        }
    });


// ////////////////////////////////////////////////
// CHART TYPES 
// 

<if @chart_type@ eq "column_chart">
    var ticketAgingChart = new Ext.chart.Chart({
        xtype: 'chart',
        width: @diagram_width@,
        height: @diagram_height@,
        title: '@diagram_title@',
        renderTo: '@diagram_id@',
        layout: 'fit',
        animate: true,
        shador: true,
        store: @store@,
        insetPadding: @diagram_inset_padding@,
        // theme: '@diagram_theme@',
        axes: [{
            type: 'category',
            position: 'bottom',
            fields: ['first_day_period'],
            label: { font: '@diagram_font@' },
            // title: 'Number of tickets',
            grid: false,
            minimum: 0
        }, {
            type: 'Numeric',
            position: 'left',
            fields: ['number_projects'],
            label: { font: '@diagram_font@' },
            // title: 'Age of tickets (days)',
            minimum: 0
        }],
        series: [{
            type: 'column',
            axis: 'left',
            title: [ 'Total Projects', 'Projects not conform'],
            xField: 'first_day_period',
            yField: [ 'number_projects', 'number_projects_non_conform' ],
            style: {
                opacity: 0.80
            },
            tips: {
                trackMouse: false,
                width: @diagram_tooltip_width@,
                height: @diagram_tooltip_height@
            }
        }],
        legend: {
                position: 'right',
                labelFont: '@diagram_font@'
        }
    });
</if>
<elseif @chart_type@ eq "pie_chart"> 

    chart = new Ext.chart.Chart({
        width: @diagram_width@,
        height: @diagram_height@,
        animate: true,
        store: @store@,
        renderTo: '@diagram_id@',
        shadow: true,
        legend: {
            position: 'right'
        },
        insetPadding: 25,
        theme: 'Base:gradients',
        series: [{
            type: 'pie',
            field: 'count',
            showInLegend: true,
            highlight: {
              segment: {
                margin: 20
              }
            },
            label: {
                field: 'category',
                display: 'rotate',
                contrast: true,
                font: '11px "Lucida Grande", "Lucida Sans Unicode", Verdana, Arial, Helvetica, sans-serif',
		renderer: function(val, label, storeItem, item, i, display, animate, index) {
			  var sumNonConformityProjects = translationProjectFeedbackNonConformityProportionStore.sum('count');
			  // console.log('sumNonConformityProjects:' + sumNonConformityProjects);
			  // console.log('val:' + val);
			  // console.log('count:' + storeItem.get('count'));
			  var ret = (parseFloat(storeItem.get('count') / sumNonConformityProjects) * 100.0).toFixed(2) + '%';
			  return ret + ' ' + val.substring(0,20);
		}
            },
            animate: true
        }]
    });

</elseif>

<elseif @chart_type@ eq "line_chart">
    chart = new Ext.chart.Chart({
        renderTo: @diagram_id@,
        width: @diagram_width@,
        height: @diagram_height@,
        animate: true,
        store: @store@,
        shadow: true,
        theme: 'Category1',
        legend: {
            position: 'right'
        },
        axes: [{
            type: 'Numeric',
            minimum: 0,
            position: 'left',
            fields: ['percentage_non_conform'],
            // title: 'Number of Hits',
            grid: {
                odd: {
                    opacity: 1,
                    fill: '#ddd',
                    stroke: '#bbb',
                    'stroke-width': 0.5
                }
            }
        }, {
            type: 'Category',
            position: 'bottom',
            fields: ['first_day_period'],
            label: { font: '@diagram_font@' },
            // title: ''
        }],
        series: [{
            type: 'line',
            highlight: {
                size: 7,
                radius: 7
            },
            axis: 'left',
            xField: 'first_day_period',
            yField: 'percentage_non_conform',
	    label: {
	       display: 'under',
	       field: 'percentage_non_conform',
	       minMargin: 200,
	       padding: 30,
	       font: '16px Helvetica, sans-serif',
               renderer: function(val, label, storeItem, item, i, display, animate, index) {
                    return storeItem.get('percentage_non_conform') + '%';
               }
	    }
        }]
    });

</elseif>

});
</script>
</if>
<else>
	<%=[lang::message::lookup "" intranet-trans-project-feedback.CodeNotFound "No DataSource found for title: '$title', please check your Portlet Parameters"]%>
</else>

